# Oidc-Clients

**Summary:** Endpoints for Oidc-Clients

- Role: [Developers](https://www.subrite.no/developers)
- Source: https://www.subrite.no/developers/oidc-clients
- Updated: 2026-10-13
- Markdown index: https://www.subrite.no/developers/llms.txt

<a id="get-api-v1-setting-oidc-clients"></a>
## Get all OIDC clients of a tenant

`GET /api/v1/setting/oidc-clients`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `array of OidcClient`

| Name | Type | Description |
| --- | --- | --- |
| `[].name` (Required when parent is present) | `string` |   |
| `[].applicationType` (Required when parent is present) | `string` | Allowed values: `"web"`, `"native"` |
| `[].platform` (Required when parent is present) | `string` |   |
| `[].clientId` (Required when parent is present) | `string` |   |
| `[].clientSecret` (Required when parent is present) | `string` |   |
| `[].callbackUrl` (Required when parent is present) | `string` |   |
| `[].postLogoutRedirectUris` (Required when parent is present) | `array of string` |   |
| `[].disablePKCE` (Required when parent is present) | `boolean` |   |
| `[].debugMode` (Required when parent is present) | `boolean` |   |
| `[].disableUserCreation` (Required when parent is present) | `boolean` |   |
| `[].deviceFlowEnabled` (Required when parent is present) | `boolean` |   |
| `[].publicClient` (Required when parent is present) | `boolean` |   |
| `[].tenant` (Required when parent is present) | `Tenant` | Nested fields omitted: field limit. |
| `[].id` (Required when parent is present) | `number` |   |
| `[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].metaData` (Required when parent is present) | `object` |   |

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` |   |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all OIDC clients of a tenant (403)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients).

### Example request

```bash
curl https://api.subrite.no/api/v1/setting/oidc-clients \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "name": "string",
    "applicationType": "web",
    "platform": "string",
    "clientId": "string",
    "clientSecret": "<clientSecret>",
    "callbackUrl": "string",
    "postLogoutRedirectUris": [],
    "disablePKCE": true,
    "debugMode": true,
    "disableUserCreation": true,
    "deviceFlowEnabled": true,
    "publicClient": true,
    "tenant": {
      "additionalFeatures": [],
      "disabledFeatures": [],
      "taxRates": [],
      "products": [],
      "users": [],
      "members": [],
      "roles": [],
      "subscriptionPlans": [],
      "packages": [],
      "invoices": [],
      "orders": [],
      "paymentProviders": [],
      "newslettersProviderConfig": [],
      "paymentProviderConfigs": [],
      "oidcClients": [],
      "oauthProviders": [],
      "activityLogs": [],
      "m2m_api_clients": [],
      "customProperties": [],
      "consents": [],
      "communicationTemplates": [],
      "additionalHostnames": [],
      "exportHistory": [],
      "arReportHistory": [],
      "mypageCardsSettings": [],
      "webhooks": [],
      "customOrders": [],
      "customOrderSources": [],
      "brandKits": [],
      "communicationReceivers": [],
      "metaData": {}
    },
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  }
]
```

<a id="post-api-v1-setting-oidc-clients"></a>
## Create a new OIDC client for a tenant

`POST /api/v1/setting/oidc-clients`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `CreateOidcClientDto`

| Name | Type | Description |
| --- | --- | --- |
| `name` (Required) | `string` |   |
| `applicationType` (Required) | `string` |   |
| `platform` (Required) | `string` |   |
| `callbackUrl` (Required) | `string` |   |
| `postLogoutRedirectUris` (Required) | `array of string` | `minItems`: `1` |
| `disablePKCE` (Required) | `boolean` |   |
| `debugMode` | `boolean` | Default: `false` |
| `disableUserCreation` | `boolean` | Default: `false` |
| `deviceFlowEnabled` | `boolean` | Default: `false` |
| `publicClient` | `boolean` | Default: `false` |

**Example request body**

`application/json`

```json
{
  "name": "string",
  "applicationType": "string",
  "platform": "string",
  "callbackUrl": "string",
  "postLogoutRedirectUris": [
    "string"
  ],
  "disablePKCE": true,
  "debugMode": false,
  "disableUserCreation": false,
  "deviceFlowEnabled": false,
  "publicClient": false
}
```

### Responses

#### 201

Content type: `application/json` · `OidcClient`

| Name | Type | Description |
| --- | --- | --- |
| `name` (Required) | `string` |   |
| `applicationType` (Required) | `string` | Allowed values: `"web"`, `"native"` |
| `platform` (Required) | `string` |   |
| `clientId` (Required) | `string` |   |
| `clientSecret` (Required) | `string` |   |
| `callbackUrl` (Required) | `string` |   |
| `postLogoutRedirectUris` (Required) | `array of string` |   |
| `disablePKCE` (Required) | `boolean` |   |
| `debugMode` (Required) | `boolean` |   |
| `disableUserCreation` (Required) | `boolean` |   |
| `deviceFlowEnabled` (Required) | `boolean` |   |
| `publicClient` (Required) | `boolean` |   |
| `tenant` (Required) | `Tenant` | Nested fields omitted: field limit. |
| `id` (Required) | `number` |   |
| `createdAt` (Required) | `string (date-time)` |   |
| `updatedAt` (Required) | `string (date-time)` |   |
| `deletedAt` (Required) | `string (date-time)` |   |
| `metaData` (Required) | `object` |   |

#### 400

Content type: `application/json` · `ErrorResponse`

Body validation failed

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"badRequest"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

The user lacks access to account settings, or sets deviceFlowEnabled or publicClient without being a system admin

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"forbiddenResource"`, `"oidcClientFlagRequiresSystemAdmin"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "forbiddenResource",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all OIDC clients of a tenant (403)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

### Example request

```bash
curl https://api.subrite.no/api/v1/setting/oidc-clients \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "applicationType": "string",
  "platform": "string",
  "callbackUrl": "string",
  "postLogoutRedirectUris": [
    "string"
  ],
  "disablePKCE": true,
  "debugMode": false,
  "disableUserCreation": false,
  "deviceFlowEnabled": false,
  "publicClient": false
}'
```

### Example response

201 · `application/json`

```json
{
  "name": "string",
  "applicationType": "web",
  "platform": "string",
  "clientId": "string",
  "clientSecret": "<clientSecret>",
  "callbackUrl": "string",
  "postLogoutRedirectUris": [
    "string"
  ],
  "disablePKCE": true,
  "debugMode": true,
  "disableUserCreation": true,
  "deviceFlowEnabled": true,
  "publicClient": true,
  "tenant": {
    "market": "NO",
    "productName": "enterprise",
    "additionalFeatures": [],
    "disabledFeatures": [],
    "name": "string",
    "isActive": true,
    "defaultLanguage": "en",
    "hostName": "string",
    "logo": "string",
    "favicon": "string",
    "authLogo": "string",
    "authLogoHeight": 0,
    "siteUrl": "string",
    "termsUrl": "string",
    "privacyUrl": "string",
    "gtm": "string",
    "taxRates": [],
    "smsOtp": true,
    "emailProvider": "brevo",
    "tenantContact": "string",
    "registeredBusinessNo": "string",
    "bankAccountNo": "string",
    "swiftCode": "string",
    "iban": "<iban>",
    "defaultLogoutURL": "string",
    "postalAddress": "<postalAddress>",
    "otpTemplateId": {},
    "smsSenderId": 0,
    "emailSenderId": 0,
    "smsSender": {
      "metaData": {}
    },
    "emailSender": {
      "metaData": {}
    },
    "products": [],
    "users": [],
    "members": [],
    "roles": [],
    "subscriptionPlans": [],
    "packages": [],
    "invoices": [],
    "orders": [],
    "paymentProviders": [],
    "newslettersProviderConfig": [],
    "paymentProviderConfigs": [],
    "oidcClients": [],
    "oauthProviders": [],
    "activityLogs": [],
    "m2m_api_clients": [],
    "customProperties": [],
    "consents": [],
    "preference": {
      "inputFieldConfig": [],
      "customFieldsOnMemberCard": [],
      "customFieldsOnInvoice": [],
      "visibleAdditionalFieldsOnMypage": [],
      "metaData": {}
    },
    "settings": {
      "aiResidency": {},
      "metaData": {}
    },
    "communicationTemplates": [],
    "additionalHostnames": [],
    "exportHistory": [],
    "arReportHistory": [],
    "mypageCardsSettings": [],
    "webhooks": [],
    "customOrders": [],
    "customOrderSources": [],
    "brandKits": [],
    "communicationReceivers": [],
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  },
  "id": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "metaData": {}
}
```

<a id="get-api-v1-setting-oidc-clients-id"></a>
## Find an OIDC client by Id

`GET /api/v1/setting/oidc-clients/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

Content type: `application/json` · `OidcClient`

Same fields as [Create a new OIDC client for a tenant (201)](https://www.subrite.no/developers/oidc-clients?md=true#post-api-v1-setting-oidc-clients).

#### 400

Content type: `application/json` · `ErrorResponse`

The id is not an integer

Same fields as [Create a new OIDC client for a tenant (400)](https://www.subrite.no/developers/oidc-clients?md=true#post-api-v1-setting-oidc-clients).

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all OIDC clients of a tenant (403)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

oidcClientNotFound

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"oidcClientNotFound"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "oidcClientNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all OIDC clients of a tenant (403)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/setting/oidc-clients/{id}' \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
{
  "name": "string",
  "applicationType": "web",
  "platform": "string",
  "clientId": "string",
  "clientSecret": "<clientSecret>",
  "callbackUrl": "string",
  "postLogoutRedirectUris": [
    "string"
  ],
  "disablePKCE": true,
  "debugMode": true,
  "disableUserCreation": true,
  "deviceFlowEnabled": true,
  "publicClient": true,
  "tenant": {
    "market": "NO",
    "productName": "enterprise",
    "additionalFeatures": [],
    "disabledFeatures": [],
    "name": "string",
    "isActive": true,
    "defaultLanguage": "en",
    "hostName": "string",
    "logo": "string",
    "favicon": "string",
    "authLogo": "string",
    "authLogoHeight": 0,
    "siteUrl": "string",
    "termsUrl": "string",
    "privacyUrl": "string",
    "gtm": "string",
    "taxRates": [],
    "smsOtp": true,
    "emailProvider": "brevo",
    "tenantContact": "string",
    "registeredBusinessNo": "string",
    "bankAccountNo": "string",
    "swiftCode": "string",
    "iban": "<iban>",
    "defaultLogoutURL": "string",
    "postalAddress": "<postalAddress>",
    "otpTemplateId": {},
    "smsSenderId": 0,
    "emailSenderId": 0,
    "smsSender": {
      "metaData": {}
    },
    "emailSender": {
      "metaData": {}
    },
    "products": [],
    "users": [],
    "members": [],
    "roles": [],
    "subscriptionPlans": [],
    "packages": [],
    "invoices": [],
    "orders": [],
    "paymentProviders": [],
    "newslettersProviderConfig": [],
    "paymentProviderConfigs": [],
    "oidcClients": [],
    "oauthProviders": [],
    "activityLogs": [],
    "m2m_api_clients": [],
    "customProperties": [],
    "consents": [],
    "preference": {
      "inputFieldConfig": [],
      "customFieldsOnMemberCard": [],
      "customFieldsOnInvoice": [],
      "visibleAdditionalFieldsOnMypage": [],
      "metaData": {}
    },
    "settings": {
      "aiResidency": {},
      "metaData": {}
    },
    "communicationTemplates": [],
    "additionalHostnames": [],
    "exportHistory": [],
    "arReportHistory": [],
    "mypageCardsSettings": [],
    "webhooks": [],
    "customOrders": [],
    "customOrderSources": [],
    "brandKits": [],
    "communicationReceivers": [],
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  },
  "id": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "metaData": {}
}
```

<a id="delete-api-v1-setting-oidc-clients-id"></a>
## Delete an OIDC client

`DELETE /api/v1/setting/oidc-clients/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

#### 400

Content type: `application/json` · `ErrorResponse`

The id is not an integer

Same fields as [Create a new OIDC client for a tenant (400)](https://www.subrite.no/developers/oidc-clients?md=true#post-api-v1-setting-oidc-clients).

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all OIDC clients of a tenant (403)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

oidcClientNotFound

Same fields as [Find an OIDC client by Id (404)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients-id).

**Example response**

`application/json`

```json
{
  "messageCode": "oidcClientNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all OIDC clients of a tenant (403)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/setting/oidc-clients/{id}' \
  --request DELETE \
  --header 'Authorization: Bearer <token>'
```

<a id="patch-api-v1-setting-oidc-clients-id"></a>
## Update an OIDC client

`PATCH /api/v1/setting/oidc-clients/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Request body

Content type: `application/json` · Required · `PatchOidcClientDto`

| Name | Type | Description |
| --- | --- | --- |
| `name` | `string` |   |
| `applicationType` | `string` |   |
| `platform` | `string` |   |
| `callbackUrl` | `string` |   |
| `postLogoutRedirectUris` | `array of string` | `minItems`: `1` |
| `disablePKCE` | `boolean` |   |
| `debugMode` | `boolean` | Default: `false` |
| `disableUserCreation` | `boolean` | Default: `false` |
| `deviceFlowEnabled` | `boolean` | Default: `false` |
| `publicClient` | `boolean` | Default: `false` |

**Example request body**

`application/json`

```json
{
  "name": "string",
  "applicationType": "string",
  "platform": "string",
  "callbackUrl": "string",
  "postLogoutRedirectUris": [
    "string"
  ],
  "disablePKCE": true,
  "debugMode": false,
  "disableUserCreation": false,
  "deviceFlowEnabled": false,
  "publicClient": false
}
```

### Responses

#### 200

Content type: `application/json` · `OidcClient`

Same fields as [Create a new OIDC client for a tenant (201)](https://www.subrite.no/developers/oidc-clients?md=true#post-api-v1-setting-oidc-clients).

#### 400

Content type: `application/json` · `ErrorResponse`

Body validation failed, or the id is not an integer

Same fields as [Create a new OIDC client for a tenant (400)](https://www.subrite.no/developers/oidc-clients?md=true#post-api-v1-setting-oidc-clients).

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

The user lacks access to account settings, or changes deviceFlowEnabled or publicClient without being a system admin

Same fields as [Create a new OIDC client for a tenant (403)](https://www.subrite.no/developers/oidc-clients?md=true#post-api-v1-setting-oidc-clients).

**Example response**

`application/json`

```json
{
  "messageCode": "forbiddenResource",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

oidcClientNotFound

Same fields as [Find an OIDC client by Id (404)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients-id).

**Example response**

`application/json`

```json
{
  "messageCode": "oidcClientNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all OIDC clients of a tenant (403)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

### Example request

```bash
curl 'https://api.subrite.no/api/v1/setting/oidc-clients/{id}' \
  --request PATCH \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "applicationType": "string",
  "platform": "string",
  "callbackUrl": "string",
  "postLogoutRedirectUris": [
    "string"
  ],
  "disablePKCE": true,
  "debugMode": false,
  "disableUserCreation": false,
  "deviceFlowEnabled": false,
  "publicClient": false
}'
```

### Example response

200 · `application/json`

```json
{
  "name": "string",
  "applicationType": "web",
  "platform": "string",
  "clientId": "string",
  "clientSecret": "<clientSecret>",
  "callbackUrl": "string",
  "postLogoutRedirectUris": [
    "string"
  ],
  "disablePKCE": true,
  "debugMode": true,
  "disableUserCreation": true,
  "deviceFlowEnabled": true,
  "publicClient": true,
  "tenant": {
    "market": "NO",
    "productName": "enterprise",
    "additionalFeatures": [],
    "disabledFeatures": [],
    "name": "string",
    "isActive": true,
    "defaultLanguage": "en",
    "hostName": "string",
    "logo": "string",
    "favicon": "string",
    "authLogo": "string",
    "authLogoHeight": 0,
    "siteUrl": "string",
    "termsUrl": "string",
    "privacyUrl": "string",
    "gtm": "string",
    "taxRates": [],
    "smsOtp": true,
    "emailProvider": "brevo",
    "tenantContact": "string",
    "registeredBusinessNo": "string",
    "bankAccountNo": "string",
    "swiftCode": "string",
    "iban": "<iban>",
    "defaultLogoutURL": "string",
    "postalAddress": "<postalAddress>",
    "otpTemplateId": {},
    "smsSenderId": 0,
    "emailSenderId": 0,
    "smsSender": {
      "metaData": {}
    },
    "emailSender": {
      "metaData": {}
    },
    "products": [],
    "users": [],
    "members": [],
    "roles": [],
    "subscriptionPlans": [],
    "packages": [],
    "invoices": [],
    "orders": [],
    "paymentProviders": [],
    "newslettersProviderConfig": [],
    "paymentProviderConfigs": [],
    "oidcClients": [],
    "oauthProviders": [],
    "activityLogs": [],
    "m2m_api_clients": [],
    "customProperties": [],
    "consents": [],
    "preference": {
      "inputFieldConfig": [],
      "customFieldsOnMemberCard": [],
      "customFieldsOnInvoice": [],
      "visibleAdditionalFieldsOnMypage": [],
      "metaData": {}
    },
    "settings": {
      "aiResidency": {},
      "metaData": {}
    },
    "communicationTemplates": [],
    "additionalHostnames": [],
    "exportHistory": [],
    "arReportHistory": [],
    "mypageCardsSettings": [],
    "webhooks": [],
    "customOrders": [],
    "customOrderSources": [],
    "brandKits": [],
    "communicationReceivers": [],
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  },
  "id": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "metaData": {}
}
```

<a id="patch-api-v1-setting-oidc-clients-id-secret"></a>
## Generate a new OIDC client secret

`PATCH /api/v1/setting/oidc-clients/{id}/secret`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

Content type: `application/json` · `OidcClient`

Same fields as [Create a new OIDC client for a tenant (201)](https://www.subrite.no/developers/oidc-clients?md=true#post-api-v1-setting-oidc-clients).

#### 400

Content type: `application/json` · `ErrorResponse`

The id is not an integer

Same fields as [Create a new OIDC client for a tenant (400)](https://www.subrite.no/developers/oidc-clients?md=true#post-api-v1-setting-oidc-clients).

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all OIDC clients of a tenant (403)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

oidcClientNotFound

Same fields as [Find an OIDC client by Id (404)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients-id).

**Example response**

`application/json`

```json
{
  "messageCode": "oidcClientNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all OIDC clients of a tenant (403)](https://www.subrite.no/developers/oidc-clients?md=true#get-api-v1-setting-oidc-clients).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/setting/oidc-clients/{id}/secret' \
  --request PATCH \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
{
  "name": "string",
  "applicationType": "web",
  "platform": "string",
  "clientId": "string",
  "clientSecret": "<clientSecret>",
  "callbackUrl": "string",
  "postLogoutRedirectUris": [
    "string"
  ],
  "disablePKCE": true,
  "debugMode": true,
  "disableUserCreation": true,
  "deviceFlowEnabled": true,
  "publicClient": true,
  "tenant": {
    "market": "NO",
    "productName": "enterprise",
    "additionalFeatures": [],
    "disabledFeatures": [],
    "name": "string",
    "isActive": true,
    "defaultLanguage": "en",
    "hostName": "string",
    "logo": "string",
    "favicon": "string",
    "authLogo": "string",
    "authLogoHeight": 0,
    "siteUrl": "string",
    "termsUrl": "string",
    "privacyUrl": "string",
    "gtm": "string",
    "taxRates": [],
    "smsOtp": true,
    "emailProvider": "brevo",
    "tenantContact": "string",
    "registeredBusinessNo": "string",
    "bankAccountNo": "string",
    "swiftCode": "string",
    "iban": "<iban>",
    "defaultLogoutURL": "string",
    "postalAddress": "<postalAddress>",
    "otpTemplateId": {},
    "smsSenderId": 0,
    "emailSenderId": 0,
    "smsSender": {
      "metaData": {}
    },
    "emailSender": {
      "metaData": {}
    },
    "products": [],
    "users": [],
    "members": [],
    "roles": [],
    "subscriptionPlans": [],
    "packages": [],
    "invoices": [],
    "orders": [],
    "paymentProviders": [],
    "newslettersProviderConfig": [],
    "paymentProviderConfigs": [],
    "oidcClients": [],
    "oauthProviders": [],
    "activityLogs": [],
    "m2m_api_clients": [],
    "customProperties": [],
    "consents": [],
    "preference": {
      "inputFieldConfig": [],
      "customFieldsOnMemberCard": [],
      "customFieldsOnInvoice": [],
      "visibleAdditionalFieldsOnMypage": [],
      "metaData": {}
    },
    "settings": {
      "aiResidency": {},
      "metaData": {}
    },
    "communicationTemplates": [],
    "additionalHostnames": [],
    "exportHistory": [],
    "arReportHistory": [],
    "mypageCardsSettings": [],
    "webhooks": [],
    "customOrders": [],
    "customOrderSources": [],
    "brandKits": [],
    "communicationReceivers": [],
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  },
  "id": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "metaData": {}
}
```
